| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::onnx::PyParams Class Reference

`#include <opencv2/gapi/infer/bindings_onnx.hpp>`

Collaboration diagram for cv::gapi::onnx::PyParams:

## Public Member Functions
GAPI_WRAP | PyParams ()=default
GAPI_WRAP | PyParams (const std::string &tag, const std::string &model_path)
GBackend | backend () const
GAPI_WRAP PyParams & | cfgAddExecutionProvider (ep::CoreML ep)
GAPI_WRAP PyParams & | cfgAddExecutionProvider (ep::CUDA ep)
GAPI_WRAP PyParams & | cfgAddExecutionProvider (ep::DirectML ep)
GAPI_WRAP PyParams & | cfgAddExecutionProvider (ep::OpenVINO ep)
GAPI_WRAP PyParams & | cfgAddExecutionProvider (ep::TensorRT ep)
GAPI_WRAP PyParams & | cfgDisableMemPattern ()
GAPI_WRAP PyParams & | cfgMeanStd (const std::string &layer_name, const cv::Scalar &m, const cv::Scalar &s)
GAPI_WRAP PyParams & | cfgNormalize (const std::string &layer_name, bool flag)
GAPI_WRAP PyParams & | cfgOptLevel (const int opt_level)
GAPI_WRAP PyParams & | cfgSessionOptions (const std::map< std::string, std::string > &options)
cv::util::any | params () const
std::string | tag () const

## Constructor & Destructor Documentation

## ◆ PyParams() [1/2]

GAPI_WRAP cv::gapi::onnx::PyParams::PyParams | ( |  | ) |
| default

Python:
| cv.gapi.onnx.PyParams( |  | ) -> | <gapi_onnx_PyParams object>
| cv.gapi.onnx.PyParams( | tag, model_path | ) -> | <gapi_onnx_PyParams object>

## ◆ PyParams() [2/2]

GAPI_WRAP cv::gapi::onnx::PyParams::PyParams | ( | const std::string & | tag,
|  | const std::string & | model_path )

Python:
| cv.gapi.onnx.PyParams( |  | ) -> | <gapi_onnx_PyParams object>
| cv.gapi.onnx.PyParams( | tag, model_path | ) -> | <gapi_onnx_PyParams object>

## Member Function Documentation

## ◆ backend()

GBackend cv::gapi::onnx::PyParams::backend | ( |  | ) | const

## ◆ cfgAddExecutionProvider() [1/5]

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgAddExecutionProvider | ( | ep::CoreML | ep | ) |

Python:
| cv.gapi.onnx.PyParams.cfgAddExecutionProvider( | ep | ) -> | retval

## ◆ cfgAddExecutionProvider() [2/5]

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgAddExecutionProvider | ( | ep::CUDA | ep | ) |

Python:
| cv.gapi.onnx.PyParams.cfgAddExecutionProvider( | ep | ) -> | retval

## ◆ cfgAddExecutionProvider() [3/5]

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgAddExecutionProvider | ( | ep::DirectML | ep | ) |

Python:
| cv.gapi.onnx.PyParams.cfgAddExecutionProvider( | ep | ) -> | retval

## ◆ cfgAddExecutionProvider() [4/5]

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgAddExecutionProvider | ( | ep::OpenVINO | ep | ) |

Python:
| cv.gapi.onnx.PyParams.cfgAddExecutionProvider( | ep | ) -> | retval

## ◆ cfgAddExecutionProvider() [5/5]

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgAddExecutionProvider | ( | ep::TensorRT | ep | ) |

Python:
| cv.gapi.onnx.PyParams.cfgAddExecutionProvider( | ep | ) -> | retval

## ◆ cfgDisableMemPattern()

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgDisableMemPattern | ( |  | ) |

Python:
| cv.gapi.onnx.PyParams.cfgDisableMemPattern( |  | ) -> | retval

## ◆ cfgMeanStd()

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgMeanStd | ( | const std::string & | layer_name,
|  | const cv::Scalar & | m,
|  | const cv::Scalar & | s )

Python:
| cv.gapi.onnx.PyParams.cfgMeanStd( | layer_name, m, s | ) -> | retval

## ◆ cfgNormalize()

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgNormalize | ( | const std::string & | layer_name,
|  | bool | flag )

Python:
| cv.gapi.onnx.PyParams.cfgNormalize( | layer_name, flag | ) -> | retval

## ◆ cfgOptLevel()

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgOptLevel | ( | const int | opt_level | ) |

Python:
| cv.gapi.onnx.PyParams.cfgOptLevel( | opt_level | ) -> | retval

## ◆ cfgSessionOptions()

GAPI_WRAP PyParams & cv::gapi::onnx::PyParams::cfgSessionOptions | ( | const std::map< std::string, std::string > & | options | ) |

Python:
| cv.gapi.onnx.PyParams.cfgSessionOptions( | options | ) -> | retval

## ◆ params()

cv::util::any cv::gapi::onnx::PyParams::params | ( |  | ) | const

## ◆ tag()

std::string cv::gapi::onnx::PyParams::tag | ( |  | ) | const

The documentation for this class was generated from the following file:

- opencv2/gapi/infer/bindings_onnx.hpp